import {request} from '../utils/request.js'
function product(data){ //获取药品订单列表
  return request('/patient/order/product','GET',data,true)
};
function productDetail(id){ //获取药品订单详情
  return request('/patient/order/product/'+id,'GET',{},true)
};
function cancelPayProduct(id){ //药品订单取消支付
  return request('/patient/order/product/cancel-pay/'+id,'PUT',{},true);
};
function delProduct(id){ //删除药品订单
  return request('/patient/order/product/'+id,'DELETE',{},true)
};
function createProduct(data){ //创建药品订单
  return request('/patient/order/product','POST',data,true)
};
function logistics(id){ //创建药品订单
  return request('/patient/order/product/logistics/'+id,'GET',{},true)
};

module.exports={
  product,
  productDetail,
  cancelPayProduct,
  delProduct,
  createProduct,
  logistics
}
